//
//  DirectoryLike.swift
//  DocHub
//
//  Created by Tristan Juricek on 6/25/14.
//  Copyright (c) 2014 Perforce. All rights reserved.
//

import Foundation

@objc
protocol DirectoryLike {
    
    var children:Directory[] { get }
    var files:File[] { get }
    
    // TODO I'm providing this instead of an index accessor to get around a 
    //      mysterious compiler segfault
    var sorted:Namable[] { get }
}